***********************************************************
*     * 11/03/92              DDEerr.PRG         06:02:18 *
***********************************************************
*     *                                                   *
*     * Description:                                      *
*     *  Function that displays DDE communications error  *
*     *  message.                                         *
***********************************************************
DECLARE DDEerr[26]
ErrNo = DDELastError()
IF ErrNo > 0
   DO GetErrs
   WAIT WINDOW "DDE Error: " + DDEerr[ErrNo]
   RELEASE ALL LIKE DDEerr
ENDIF
RETURN
PROCEDURE GetErrs
IF !FILE ("DDEERR.MEM")
   DDEerr[ 1] = "Service busy"
   DDEerr[ 2] = "Topic busy"
   DDEerr[ 3] = "Channel busy"
   DDEerr[ 4] = "No such service"
   DDEerr[ 5] = "No such topic"
   DDEerr[ 6] = "Bad channel"
   DDEerr[ 7] = "Insufficient memory"
   DDEerr[ 8] = "Acknowledge timeout"
   DDEerr[ 9] = "Request timeout"
   DDEerr[10] = "No DDEInitialize"
   DDEerr[11] = "Client attempted server transaction identifier"
   DDEerr[12] = "Execute timeout"
   DDEerr[13] = "Bad parameter"
   DDEerr[14] = "Low memory" 
   DDEerr[15] = "Memory error"
   DDEerr[16] = "Connect failure"
   DDEerr[17] = "Request failure"
   DDEerr[18] = "Poke timeout"
   DDEerr[19] = "Could not display message"
   DDEerr[20] = "Multiple synchronous transactions "
   DDEerr[21] = "Server died"
   DDEerr[22] = "Internal DDE error"
   DDEerr[23] = "Advise timeout"
   DDEerr[24] = "Invalid transaction"
   DDEerr[25] = "Unknown"
   SAVE ALL LIKE DDEerr TO DDEerr
ELSE
   RESTORE FROM DDEerr ADDITIVE
ENDIF

